Contents

# With Statement

Sets an object as the default object. Unless another object name is declared, all properties and methods refer to the default object until the End With statement is reached.

### Syntax:

        With object
           [statements]
        End With

### Parameters:

Use With and End With if you have several properties or methods for a single object or an extended data type definition.

Nesting With statements helps writing and reading Basic routines.

Related Topics

Type Statement

Please support us!